# Class CommandHistory

java.lang.Object
jspecview.application.CommandHistory

public class CommandHistory extends Object
CommandHistory keeps a command history and responds to key events

Author:
  Bob Hanson hansonr@stolaf.edu

## Constructor Summary

Constructors
Constructor
Description
`CommandHistory(JSViewer viewer, JTextField commandInput)`

## Method Summary

Modifier and Type
Method
Description
`void`
`keyPressed(int keyCode)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommandHistory

public CommandHistory(JSViewer viewer, JTextField commandInput)

## Method Details

### keyPressed

public void keyPressed(int keyCode)